Skip to main content
Server path: /mixmax | Type: Application | PCID required: Yes

Tools

ToolDescription
mixmax_add_sequence_recipientsAdd recipients to a sequence
mixmax_check_appointment_link_availabilityCheck appointment link availability
mixmax_create_code_snippetCreate a code snippet
mixmax_create_insights_reportCreate an insights report
mixmax_create_live_feed_searchCreate a live feed search
mixmax_create_messageCreate a draft message
mixmax_delete_enhancementDelete an enhancement
mixmax_get_code_snippetGet a code snippet
mixmax_get_enhancementGet an enhancement
mixmax_get_file_requestGet a file request
mixmax_get_live_feedGet live feed
mixmax_get_live_feed_eventsGet live feed events
mixmax_get_messageGet a message
mixmax_get_my_appointment_linkGet my appointment link
mixmax_get_pollGet a poll
mixmax_get_user_infoGet current user info
mixmax_list_code_snippetsList code snippets
mixmax_list_enhancementsList enhancements
mixmax_list_file_requestsList file requests
mixmax_list_insights_reportsList insights reports
mixmax_list_integration_commandsList slash commands
mixmax_list_live_feed_searchesList live feed searches
mixmax_list_meeting_typesList meeting types
mixmax_list_messagesList messages
mixmax_list_pollsList polls
mixmax_list_rulesList rules
mixmax_list_sent_sequencesList sent sequence stats
mixmax_list_sequence_recipientsList sequence recipients
mixmax_list_sequencesList sequences
mixmax_list_unsubscribesList unsubscribes
mixmax_query_report_dataQuery report data
mixmax_send_messageSend a message
mixmax_send_test_messageSend a test message
mixmax_update_code_snippetUpdate a code snippet
mixmax_update_insights_reportUpdate an insights report
mixmax_update_live_feed_searchUpdate a live feed search
mixmax_update_meeting_typeUpdate a meeting type
mixmax_update_messageUpdate a message
mixmax_update_my_appointment_linkUpdate my appointment link

mixmax_add_sequence_recipients

Add recipients to a sequence Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe sequence ID.
recipientsobject[]YesArray of recipient objects to add to the sequence.

Check appointment link availability Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe calendar link name to check availability for.

mixmax_create_code_snippet

Create a code snippet Parameters:
ParameterTypeRequiredDefaultDescription
backgroundstringYesBackground color in format rgb(0-255, 0-255, 0-255).
htmlstringYesThe HTML of your code snippet.
languagestringYesProgramming language for syntax highlighting.
themestringYesCode editor theme.
titlestringNoTitle of the code snippet.

mixmax_create_insights_report

Create an insights report Parameters:
ParameterTypeRequiredDefaultDescription
querystringNoReport query string.
titlestringNoTitle of the report.
typestringYesType of report.

Create a live feed search Parameters:
ParameterTypeRequiredDefaultDescription
querystringYesThe query string that the search performs.
titlestringNoTitle of the saved search.

mixmax_create_message

Create a draft message Parameters:
ParameterTypeRequiredDefaultDescription
bccobject[]NoRecipients in the BCC field.
bodystringNoThe HTML body of the message.
ccobject[]NoRecipients in the CC field.
fileTrackingEnabledbooleanNoEnable file download tracking.
inReplyTostringNoGmail message ID for threading replies.
linkTrackingEnabledbooleanNoEnable link click tracking.
notificationsEnabledbooleanNoEnable notifications.
subjectstringNoThe message subject line.
toobject[]NoRecipients in the To field.
trackingEnabledbooleanNoEnable open tracking.
userHasModifiedbooleanNoSet to true to create a Gmail draft.

mixmax_delete_enhancement

Delete an enhancement Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe enhancement ID.

mixmax_get_code_snippet

Get a code snippet Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe code snippet ID.

mixmax_get_enhancement

Get an enhancement Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe enhancement ID.

mixmax_get_file_request

Get a file request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe file request ID.

mixmax_get_live_feed

Get live feed Parameters:
ParameterTypeRequiredDefaultDescription
querystringNoThe query to execute. Takes the same format as queries in the live feed UI.
timezonestringNoRFC timezone descriptor (e.g. America/Los_Angeles). Defaults to UTC.
limitintegerNoMaximum number of results to return (max 10000). Default 50.
offsetintegerNoOffset for pagination. Default 0.
statsbooleanNoWhether to return aggregate stats. Default true.

mixmax_get_live_feed_events

Get live feed events Parameters:
ParameterTypeRequiredDefaultDescription
messageIdstringNoThe message ID to fetch events for.
contactEmailstringNoThe contact email to fetch events for.
wasSentViaMixmaxbooleanYesWhether the message was sent via Mixmax.
includeTeammatesbooleanNoWhether to include events from teammates.

mixmax_get_message

Get a message Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe message ID.

Get my appointment link

mixmax_get_poll

Get a poll Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe poll ID.

mixmax_get_user_info

Get current user info

mixmax_list_code_snippets

List code snippets

mixmax_list_enhancements

List enhancements

mixmax_list_file_requests

List file requests

mixmax_list_insights_reports

List insights reports

mixmax_list_integration_commands

List slash commands

mixmax_list_live_feed_searches

List live feed searches

mixmax_list_meeting_types

List meeting types

mixmax_list_messages

List messages

mixmax_list_polls

List polls

mixmax_list_rules

List rules Parameters:
ParameterTypeRequiredDefaultDescription
expandstringNoPass ‘actions’ to return rule actions as an array.

mixmax_list_sent_sequences

List sent sequence stats

mixmax_list_sequence_recipients

List sequence recipients Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe sequence ID.
filterstringNoFilter recipients by status (e.g. ‘active’, ‘paused’, ‘finished’).

mixmax_list_sequences

List sequences Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoReturns sequences that match this string.
expandstringNoPass ‘stages’ to return information about the stages too.
folderstringNoFilter by folder. Use ‘shared’ for shared sequences, ‘personal’ for personal, or a specific folder ID.

mixmax_list_unsubscribes

List unsubscribes Parameters:
ParameterTypeRequiredDefaultDescription
sortstringNoField to sort by: name, email, or createdAt.
sortAscendingbooleanNoSort in ascending order.
nextstringNoPagination token for next page.
previousstringNoPagination token for previous page.
limitintegerNoMaximum number of records to return. Default 50.

mixmax_query_report_data

Query report data Parameters:
ParameterTypeRequiredDefaultDescription
fieldsstringNoComma-delimited list of fields to return.
groupBystringNoField to group results by.
limitintegerNoMaximum number of results (max 10000). Default 1000.
offsetintegerNoOffset for pagination. Default 0.
querystringNoQuery string to filter results (e.g. ‘sent:last30days from:everyone’).
sortBystringNoField to sort results by.
sortDescbooleanNoSort in descending order. Default true.
timezonestringNoClient timezone. Default UTC.
typestringYesThe type of data to query.

mixmax_send_message

Send a message Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe message ID to send.
dataobjectNoMessage properties to update prior to sending.
optionsobjectNoSending options.

mixmax_send_test_message

Send a test message Parameters:
ParameterTypeRequiredDefaultDescription
bodystringYesThe HTML body of the test message.
subjectstringYesThe subject line of the test message.

mixmax_update_code_snippet

Update a code snippet Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe code snippet ID to update.
backgroundstringNoBackground color in format rgb(0-255, 0-255, 0-255).
htmlstringNoThe HTML of your code snippet.
languagestringNoProgramming language for syntax highlighting.
themestringNoCode editor theme.
titlestringNoTitle of the code snippet.

mixmax_update_insights_report

Update an insights report Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe insights report ID.
querystringNoReport query string.
titlestringNoTitle of the report.
typestringNoType of report.

Update a live feed search Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe live feed search ID.
querystringNoThe query string that the search performs.
titlestringNoTitle of the saved search.

mixmax_update_meeting_type

Update a meeting type Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe meeting type ID.
bufferintegerNoBuffer time between meetings in minutes (0-60).
daysFromNowobjectNoTime window for availability with start and end days.
defaultsobjectNoDefault calendar event properties.
durationMinintegerNoDuration of the meeting in minutes.
namestringNoThe name of the meeting type.

mixmax_update_message

Update a message Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe message ID.
bccobject[]NoRecipients in the BCC field.
bodystringNoThe HTML body of the message.
ccobject[]NoRecipients in the CC field.
fileTrackingEnabledbooleanNoEnable file download tracking.
inReplyTostringNoGmail message ID for threading replies.
linkTrackingEnabledbooleanNoEnable link click tracking.
notificationsEnabledbooleanNoEnable notifications.
subjectstringNoThe message subject line.
toobject[]NoRecipients in the To field.
trackingEnabledbooleanNoEnable open tracking.
userHasModifiedbooleanNoSet to true to create a Gmail draft.

Update my appointment link Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe new calendar vanity URL name.